/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format;

public interface ColorSelectors
{
  public static final int FRAME_BACKGROUND = 0;

  public static final int TITLE_BACKGROUND = 1;

  public static final int TITLE_FOREGROUND = 2;

  public static final int TITLE_LINK = 3;

  public static final int LEFT_BACKGROUND = 4;

  public static final int LEFT_FOREGROUND = 5;

  public static final int LEFT_LINK = 6;

  public static final int CONTENT_BACKGROUND = 7;

  public static final int CONTENT_FOREGROUND = 8;

  public static final int CONTENT_HEADER = 9;

  public static final int CONTENT_DISABLED = 10;

  public static final int CONTENT_ERROR = 11;

  public static final int SIDEBOX_TITLE_BACKGROUND = 12;

  public static final int SIDEBOX_TITLE_FOREGROUND = 13;

  public static final int SIDEBOX_CONTENT_BACKGROUND = 14;

  public static final int SIDEBOX_CONTENT_FOREGROUND = 15;

  public static final int SIDEBOX_CONTENT_LINK = 16;

  public static final int CONFIRM_TITLE_BACKGROUND = 17;

  public static final int CONFIRM_TITLE_FOREGROUND = 18;

  public static final int ERROR_TITLE_BACKGROUND = 19;

  public static final int ERROR_TITLE_FOREGROUND = 20;

} // end class ColorSelectors
