<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  Invitation data = Invitation.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- Send invitation to community #<%= data.getCommunityID() %> --><% } %>
<% rdat.writeContentHeader(out,"Send Community Invitation:",data.getCommunityName()); %>
<FORM METHOD=POST ACTION="<%= rdat.getEncodedServletPath("sigops") %>"><DIV CLASS="content">
  <INPUT TYPE="HIDDEN" NAME="sig" VALUE="<%= data.getCommunityID() %>">
  <INPUT TYPE="HIDDEN" NAME="cmd" VALUE="I">
  <TABLE BORDER=0 CELLPADDING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content">
          <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>Send to:&nbsp;</FONT>
      </TD>
      <TD ALIGN=LEFT CLASS="cinput"><INPUT TYPE=TEXT CLASS="cinput" NAME="addr" SIZE=65
	                                   MAXLENGTH=255 VALUE=""></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT COLSPAN=2 CLASS="content">
        <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>Personal message to be added to
        invitation:</FONT>
      </TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT COLSPAN=2 CLASS="cinput"><TEXTAREA NAME="pb" WRAP=HARD ROWS=7 COLS=80></TEXTAREA></TD>
    </TR>
    <TR VALIGN=MIDDLE><TD ALIGN=LEFT COLSPAN=2 CLASS="content">
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_send_email.gif") %>" NAME="send"
             ALT="Send E-Mail" WIDTH=80 HEIGHT=24 BORDER=0>&nbsp;
      <INPUT TYPE="IMAGE" SRC="<%= rdat.getFullImagePath("bn_cancel.gif") %>" NAME="cancel"
             ALT="Cancel" WIDTH=80 HEIGHT=24 BORDER=0>
    </TD></TR>
  </TABLE>
</FORM></DIV>
