<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Community System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  NewCommunityWelcome data = NewCommunityWelcome.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- Welcome to new community <%= data.getCommunityName() %> --><% } %>
<% rdat.writeContentHeader(out,"Welcome!",null); %>
<%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
  Your new community <B>&quot;<%= StringUtil.encodeHTML(data.getCommunityName()) %>&quot</B> has been
  created, and you are its host.  You may now wish to send out invitations to other people to join your new
  community.  You will also want to enter your community's administration page and set its category and/or
  additional security options, if desired.<P>
  Your new community's URL is:
  <DIV ALIGN=CENTER><B><%= StringUtil.encodeHTML(data.getDisplayURL(rdat)) %></B></DIV>
  Enjoy your new community on our system!
  <DIV ALIGN=CENTER>
    <A HREF="<%= data.getEntryURL(rdat) %>">Enter Community</A>&nbsp;|&nbsp;
    <A HREF="<%= data.getInviteURL(rdat) %>">Invite Users</A>
  </DIV>
</FONT>
