<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  UserCommunityList data = UserCommunityList.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- User conference hotlist --><% } %>
<% rdat.writeContentHeader(out,"Your Communities",null); %>
<%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
  <A HREF="<%= rdat.getEncodedServletPath("top") %>">Return to Front Page</A>
</FONT><P>
<% if (data.getNumCommunities()>0) { %>
  <TABLE BORDER=0 ALIGN=CENTER CELLPADDING=0 CELLSPACING=2>
    <% for (int i=0; i<data.getNumCommunities(); i++) { %>
      <% CommunityContext comm = data.getCommunity(i); %>
      <TR>
        <TD ALIGN=CENTER WIDTH=16>
	  <% if (comm.canUnjoin()) { %>
            <A HREF="<%= rdat.getEncodedServletPath("settings?cmd=SX&sig=" + comm.getCommunityID()) %>"><IMG
             SRC="<%= rdat.getFullImagePath("icn_x.gif") %>" ALT="Unjoin" BORDER=0 WIDTH=16
             HEIGHT=16></A>
          <% } else { %>&nbsp;<% } %>
        </TD>
        <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
          <A HREF="<%= rdat.getEncodedServletPath("sig/" + comm.getAlias()) %>"><%= StringUtil.encodeHTML(comm.getName()) %></A>
        </FONT></TD>
      </TR>
    <% } // end for %>
  </TABLE><P>

  <TABLE BORDER=0 CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=TOP>
      <TD ALIGN=CENTER WIDTH=16>
        <IMG SRC="<%= rdat.getFullImagePath("icn_x.gif") %>" ALT="Unjoin" BORDER=0 WIDTH=16 HEIGHT=16>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
        Click this symbol to unjoin the specified community.
      </FONT></TD>
    </TR>
  </TABLE>
<% } else { %>
  <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %><EM>You are not a member of
  any communities.</EM></FONT>
<% } // end if %>
