<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  TopDisplay data = TopDisplay.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% if (rdat.useHTMLComments()) { %><!-- Top content panel --><% } %>
<% if (data.displayWelcome()) { %>
  <% rdat.writeContentHeader(out,rdat.getStockMessage("welcome-top"),null); %>
  <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %><%= rdat.getStockMessage("welcome") %></FONT><P>
<% } // end if %>
<%
  rdat.writeContentHeader(out,rdat.getStockMessage("currents-top"),null);
  int ntp = data.getNumTopPosts();
  if (ntp>0) {
    for (int i=0; i<ntp; i++) {
      TopicMessageContext msg = data.getTopPost(i);
      String poster = data.getPosterName(msg);
%>
    <% if (i>0) { %><HR WIDTH="70%"><% } %>
    <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
      <B><%= msg.getPseud() %></B>
      (<EM>
        <A HREF="<%= rdat.getEncodedServletPath("user/" + poster) %>" TARGET="_blank"><%= poster %></A>,
        <%= rdat.formatDateForDisplay(msg.getPostDate()) %>
      </EM>)
      <P>
      <PRE><%= rdat.rewritePostData(data.getMessageBodyText(msg)) %></PRE>
    </FONT>
<%
    } // end for
  } else {
%>
  <%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %><EM>No front page postings found.</EM></FONT>
<% } // end if %>




